Notifications

32 views

Description

When working with Oracle Enterprise Manager [OEM] SNMPv3 trap.

Start successfully and test parameters also show success but no events are coming into the instance.

After running test parameter on the trap, in the MID logs we see error like:

WARNING *** WARNING *** (227)SNMPTrapListener - SNMPTrapListener: (OEM Traps): Listener minimum security level: 2 is higher then the trap security level: 1 aborting trap: CommandResponderEvent[securityModel=1, securityLevel=1, maxSizeResponsePDU=65535, pduHandle=PduHandle[0]

Release or Environment

Where OEM trap SNMPv3 is configured. 

Cause

This is due to the configuration of the user authentication on the SNMP trap and the listener's minimum security level on the listener (the listener is the record created on the ServiceNow instance for this trap collection).

The Minimum security field on the listener does not match the configuration on setup on the OEM trap. They need to match. That is what is meant by the error message:

"Listener minimum security level: 2 is higher than the trap security level"

 

Resolution

We have two options : 
1. Change the trap to be authPriv (in this case parameters of the trap should contain the user authentication key and the private key) 
2. Change the SNMP listener security level to authNoPriv 

Be sure to fill in all field for the SNMP credentials being used for this integration, including the appropriate "

Additional Information

See the Oracle documentation about this security level (see section 3.5.2.2 related to security level): 
https://docs.oracle.com/cd/E73210_01/EMADM/GUID-B48F6A84-EE89-498D-94E0-5DE1E7A0CFBC.htm#EMADM14348 

Article Information

Last Updated:2019-10-16 11:23:52
Published:2019-10-16